﻿@model CoursesSec001.Models.DataModels.EnrollmentsIndexDataModel

<h1 class="bd-title text-center" id="content">Alumnos Enrolados</h1>

<div class="row align-content-center">
	<div class="offset-2 col-8 mt-2">
		<div class="card">
			<table class="table table-borderless">
				<thead>
					<tr>
						<th scope="col">#</th>
						<th scope="col">Nombre Alumno</th>
						<th scope="col">Curso</th>
						<th scope="col">Nota</th>
					</tr>
				</thead>
				<tbody>
					@{
						int count = 0;
					}
					@foreach (var enrollment in Model.Enrollments)
					{
						count++;
						<tr>
							<th scope="row">@count</th>
							<td>@enrollment.Student.FullName()</td>
							<td>@enrollment.Course.Title</td>
							<td>
								@if (enrollment.Grade.HasValue)
								{
									@enrollment.Grade
								}
								else
								{
									<p>No tiene nota</p>
								}
							</td>
						</tr>
					}
				</tbody>
			</table>
		</div>
	</div>
</div>